Infant Feeding CRF validations
Status: Closed Start date: 10/12/2018

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Please fix so that the following validations occur:

1. If Q23 = YES and Q25 = NO, then Q26 must not be blank

2. If Q23 = YES and Q25 = YES, then Q26 must be a date between the last attended visit and today's date

3. If Q23 = NO and Q24 = YES, then Q26 is not needed and should not be answered. Can we make it so that the study staff cannot enter

a date here?

Subtasks:

Bug # 4404: INFANT FEEDING FORM GIVING WRONG ERROR MESSAGE Closed

History

#1 - 01/11/2018 09:15 - Itumeleng Mosweu

- Status changed from New to Resolved

#2 - 01/11/2018 14:30 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to Feedback

I UAT's these 3 scenarios and they give yellow page.

Is it possible to have an error message as opposed to a yellow page?

#3 - 13/11/2018 17:19 - Itumeleng Mosweu

Yellow page has been attended to. Please UAT again.

#4 - 14/11/2018 09:31 - Itumeleng Mosweu

- Status changed from Feedback to Resolved

#5 - 15/11/2018 12:22 - Keolebogile Nicholas Mmasa

- File validation 1 workingChange Infant Feeding _ Django site admin.pdf added

- File validation 2 workingChange Infant Feeding _ Django site admin.pdf added

- File validation 3 error messagChange Infant Feeding _ Django site admin.pdf added

- Status changed from Resolved to Feedback

VALIDATIONS WORKING WELL,

however, small fix: Validation 3, the error message doesn't communicate well " infant is weaned off breastmilk, field not required".

I suggest error message should rather be:" infant was weaned off breastmilk before last attended scheduled visit, field not required".
#6 - 15/11/2018 14:55 - Itumeleng Mosweu

- Status changed from Feedback to Resolved

#7 - 15/11/2018 15:38 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to Closed

all validations working,,issue closed

#8 - 19/11/2018 16:42 - Keolebogile Nicholas Mmasa

- Status changed from Closed to Feedback

validation 2 now broken after UAT of issue 4357,

#9 - 20/11/2018 09:08 - Keolebogile Nicholas Mmasa

- Status changed from Feedback to Closed

issues tested on 274 and 381.Validations responding well.Issue closed

Files

validation 1 workingChange Infant Feeding _ Django site admin.pdf 135 KB 15/11/2018 Keolebogile Nicholas Mmasa

validation 2 workingChange Infant Feeding _ Django site admin.pdf 136 KB 15/11/2018 Keolebogile Nicholas Mmasa

validation 3 error messagChange Infant Feeding _ Django site admin.pdf136 KB 15/11/2018 Keolebogile Nicholas Mmasa
